public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3_9/
Date: Mon, 18 Dec 2023 15:59:13 +0000 (UTC)	[thread overview]
Message-ID: <1702915150.022c8c77160c70887b66c76a835b356111202ce0.mgorny@gentoo> (raw)

commit:     022c8c77160c70887b66c76a835b356111202ce0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 18 15:55:25 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 15:59:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=022c8c77

dev-python/pypy3_9: Inline compileall call, add excludes

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy3_9/pypy3_9-7.3.13-r1.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/dev-python/pypy3_9/pypy3_9-7.3.13-r1.ebuild b/dev-python/pypy3_9/pypy3_9-7.3.13-r1.ebuild
index b75fb0c938f5..661ab0988ec8 100644
--- a/dev-python/pypy3_9/pypy3_9-7.3.13-r1.ebuild
+++ b/dev-python/pypy3_9/pypy3_9-7.3.13-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit pax-utils python-utils-r1 toolchain-funcs
+inherit multiprocessing pax-utils toolchain-funcs
 
 PYPY_PV=${PV%_p*}
 PYVER=3.9
@@ -198,13 +198,15 @@ src_install() {
 	fi
 	dosym ../python/EXTERNALLY-MANAGED "${dest}/EXTERNALLY-MANAGED"
 
-	local -x EPYTHON=pypy3
 	local -x PYTHON=${ED}/usr/bin/pypy${PYVER}-c-${PYPY_PV}
 	# temporarily copy to build tree to facilitate module builds
 	cp -p "${BROOT}/usr/bin/pypy${PYVER}-c-${PYPY_PV}" "${PYTHON}" || die
 
 	einfo "Byte-compiling Python standard library..."
-	python_optimize "${ED}${dest}"
+	# exclude list from CPython Makefile.pre.in
+	"${PYTHON}" -m compileall -j "$(makeopts_jobs)" -o 0 -o 1 -o 2 \
+		--hardlink-dupes -q -f -d "${dest}" "${ED}${dest}" \
+		-x 'bad_coding|badsyntax|site-packages|lib2to3/tests/data' || die
 
 	# remove to avoid collisions
 	rm "${PYTHON}" || die


             reply	other threads:[~2023-12-18 15:59 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-18 15:59 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-24  6:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3_9/ Michał Górny
2024-08-02 18:41 Michał Górny
2024-04-25  3:39 Michał Górny
2024-04-24 15:08 Michał Górny
2024-02-03 15:02 Michał Górny
2024-01-15 21:24 Michał Górny
2023-12-30 18:32 Michał Górny
2023-12-25 20:26 Michał Górny
2023-12-21  4:16 Michał Górny
2023-12-20 16:55 Michał Górny
2023-11-02 12:58 Michał Górny
2023-10-06 15:08 Michał Górny
2023-09-30  8:27 Michał Górny
2023-08-26 13:32 Michał Górny
2023-08-25  9:14 Michał Górny
2023-07-24 11:33 Michał Górny
2023-07-19 11:00 Michał Górny
2023-06-19  5:14 Michał Górny
2023-06-19  5:14 Michał Górny
2023-06-16 17:03 Michał Górny
2023-05-31 11:42 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1702915150.022c8c77160c70887b66c76a835b356111202ce0.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox